Deep Security Manager REST API

Path: / rest / authentication / login / primary

Authenticate a primary tenant user, and return a session ID (sID) to use in subsequent calls to other APIs.

Note: if your application uses both the SOAP web services API and the REST API, the same session ID can be used in both APIs; you do not need to log in separately to each API.


Method Summary
ResourceDescription
POST /rest/authentication/login/primaryAuthenticate a primary tenant user, and return a session ID (sID) to use in subsequent calls to other APIs.

Method Detail
HTTP Example:
POST /rest/authentication/login/primary

API Example:

IAuthenticationAPI.loginPrimaryTenant({'$entity': /* credentials The credentials to use to authenticate. */});

Authenticate a primary tenant user, and return a session ID (sID) to use in subsequent calls to other APIs.

Note: if your application uses both the SOAP web services API and the REST API, the same session ID can be used in both APIs; you do not need to log in separately to each API.

Input:
DSCredentials - The credentials to use to authenticate.
Output:
java.lang.String - session ID (sID)
Produces:
text/plain
Consumes:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.